evaluations
Create evaluations run selection
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
playground
/
run-selection
Create evaluations run selection
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/playground/run-selection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "dev",
"idempotencyKey": "<string>",
"variantId": 123,
"testCaseId": 123,
"testCaseIds": [
123
]
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/playground/run-selection"
payload = {
"environment": "dev",
"idempotencyKey": "<string>",
"variantId": 123,
"testCaseId": 123,
"testCaseIds": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment: 'dev',
idempotencyKey: '<string>',
variantId: 123,
testCaseId: 123,
testCaseIds: [123]
})
};
fetch('https://evalgate.com/api/evaluations/{id}/playground/run-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshotId": 123,
"idempotencyKey": "<string>",
"idempotentReplay": true,
"id": 123,
"evaluationId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"totalCases": 123,
"passedCases": 123,
"failedCases": 123,
"processedCount": 123,
"traceLog": {
"messages": [
{
"role": "user",
"content": "<string>",
"timestamp": "<string>"
}
],
"originalEvaluationId": 123,
"shadowEvalType": "<string>",
"resolvedTraceIds": [
"<string>"
],
"jobId": 123,
"requestedAt": "<string>",
"enqueuedAt": "<string>",
"enqueueError": "<string>",
"lastError": "<string>",
"completedAt": "<string>",
"averageScore": 123,
"trajectoryCoverageRate": 123,
"trajectoryAverageScore": 123,
"trajectoryFailureCounts": {},
"error": "<string>",
"failedAt": "<string>",
"totalCases": 123,
"processedCount": 123,
"cancelledAt": "<string>",
"traceIds": [
"<string>"
],
"import": {
"sourceTraceId": "<string>",
"sourceOrgId": "<string>",
"importedAt": "<string>",
"source": "<string>",
"checkReport": {},
"gateCheckedAt": "<string>"
},
"type": "<string>",
"scoreImprovement": 123,
"dateRange": {
"start": "<string>",
"end": "<string>"
},
"filters": {},
"createdBy": "<string>"
},
"trajectory": {
"schemaVersion": 123,
"entries": [
{
"testCaseId": 123,
"status": "failed",
"trajectory": {
"id": "<string>",
"input": "<string>",
"finalOutput": "<string>",
"steps": [
{
"index": 123,
"type": "final",
"content": "<string>",
"toolName": "<string>",
"toolArgs": {},
"timestamp": 123
}
],
"totalSteps": 123,
"totalToolCalls": 123,
"durationMs": 123,
"terminatedEarly": false,
"error": "<string>"
},
"behavior": "tool_use",
"taskType": "<string>",
"idealTrajectory": {
"expectedSteps": 123,
"expectedToolCalls": 123,
"requiredTools": [
"<string>"
],
"forbiddenTools": [
"<string>"
],
"allowParallel": false,
"maxRedundantSteps": 123
},
"baseline": {
"behavior": "tool_use",
"stepDistribution": {
"p50": 123,
"p75": 123,
"p90": 123
},
"toolCallDistribution": {
"p50": 123,
"p75": 123
},
"durationDistribution": {
"p50": 123,
"p75": 123
},
"commonToolSequences": [
[
"<string>"
]
],
"redundancyProfile": {
"mean": 123,
"p90": 123
},
"sampleSize": 123,
"updatedAt": "<string>",
"taskType": "<string>",
"parallelToolGroups": [
[
"<string>"
]
],
"version": "<string>",
"model": "<string>"
},
"evaluation": {
"schemaVersion": 123,
"valid": true,
"score": 123,
"failureModes": [
"inefficient_path"
],
"metrics": {
"actualSteps": 123,
"actualToolCalls": 123,
"actualDurationMs": 123,
"redundancyRatio": 123,
"redundancySteps": 123,
"sequenceSimilarity": 123,
"efficiency": 123,
"toolUsage": 123,
"redundancy": 123,
"latency": 123,
"parallelizationPenalty": 123,
"parallelizationScore": 123,
"requiredToolsMissing": [
"<string>"
],
"forbiddenToolsUsed": [
"<string>"
],
"extraToolsUsed": [
"<string>"
],
"selectedBaselineVersion": "<string>",
"baselineStepP50": 123,
"baselineStepP75": 123,
"baselineToolCallP50": 123,
"baselineToolCallP75": 123,
"baselineDurationP50": 123,
"baselineDurationP75": 123,
"idealExpectedSteps": 123,
"idealExpectedToolCalls": 123
},
"trajectoryId": "<string>",
"behavior": "tool_use",
"taskType": "<string>",
"baselineVersion": "<string>"
}
}
]
},
"trajectoryMetrics": {
"schemaVersion": 123,
"totalResults": 123,
"evaluatedResults": 123,
"coverageRate": 123,
"averageTrajectoryScore": 123,
"failureCounts": {
"inefficient_path": 123,
"unnecessary_tool_call": 123,
"missed_tool_call": 123,
"looping_behavior": 123,
"non_parallel_execution": 123,
"premature_termination": 123
},
"byTestCase": [
{
"testCaseId": 123,
"status": "failed",
"score": 123,
"failureModes": [
"inefficient_path"
],
"metrics": {
"actualSteps": 123,
"actualToolCalls": 123,
"actualDurationMs": 123,
"redundancyRatio": 123,
"redundancySteps": 123,
"sequenceSimilarity": 123,
"efficiency": 123,
"toolUsage": 123,
"redundancy": 123,
"latency": 123,
"parallelizationPenalty": 123,
"parallelizationScore": 123,
"requiredToolsMissing": [
"<string>"
],
"forbiddenToolsUsed": [
"<string>"
],
"extraToolsUsed": [
"<string>"
],
"selectedBaselineVersion": "<string>",
"baselineStepP50": 123,
"baselineStepP75": 123,
"baselineToolCallP50": 123,
"baselineToolCallP75": 123,
"baselineDurationP50": 123,
"baselineDurationP75": 123,
"idealExpectedSteps": 123,
"idealExpectedToolCalls": 123
},
"trajectoryId": "<string>",
"behavior": "tool_use",
"taskType": "<string>",
"baselineVersion": "<string>"
}
]
},
"baselineVersion": "<string>",
"scoreProvenance": {
"scoringVersion": "<string>",
"assertionSetVersion": "<string>",
"taskType": "<string>",
"judgeConfigHash": "<string>",
"promptTemplateHash": "<string>",
"aggregationVersion": "<string>",
"embeddingModel": "<string>",
"behaviorVersion": "<string>",
"calibrationStudyId": "<string>"
},
"measurementStatus": "<string>",
"measurementSummary": {
"version": "evalgate.measurement.v1",
"status": "valid",
"sampleSize": 123,
"metrics": {},
"warnings": [
"<string>"
],
"computationHash": "<string>",
"uncertainty": {
"lower": 123,
"upper": 123,
"confidenceLevel": 123,
"method": "percentile-bootstrap",
"resamples": 123,
"seed": 123
}
},
"measurementCompletedAt": "2023-11-07T05:31:56Z",
"activeMeasurementRevisionId": "<string>",
"qualitySummary": {
"version": "evalgate.measurement.v1",
"status": "valid",
"sampleSize": 123,
"metrics": {},
"warnings": [
"<string>"
],
"computationHash": "<string>",
"uncertainty": {
"lower": 123,
"upper": 123,
"confidenceLevel": 123,
"method": "percentile-bootstrap",
"resamples": 123,
"seed": 123
}
},
"qualitySummaryCompletedAt": "2023-11-07T05:31:56Z",
"orchestrationGraph": {
"schemaVersion": 1,
"rootNodeId": "<string>",
"nodes": [
{
"id": "<string>",
"type": "rejected",
"label": "<string>",
"agentIndex": 123,
"strategyTrack": "<string>",
"passRate": 123,
"kept": false,
"metadata": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"label": "<string>"
}
],
"capturedAt": "<string>",
"gateDecisions": [
{
"timestamp": "<string>",
"passed": true,
"exitCode": 123,
"reasonCode": "<string>",
"thresholds": {
"minScore": 123,
"maxDrop": 123,
"warnDrop": 123
},
"reasonMessage": "<string>",
"policy": "<string>",
"score": 123,
"baselineScore": 123,
"regressionDelta": 123,
"baselineRunId": 123,
"ciRunUrl": "<string>",
"failedTestCaseIds": [
123
]
}
]
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"environment": "<string>",
"playgroundId": 123,
"variantId": 123,
"promptVersionId": "<string>",
"baselineVariantId": 123,
"triggerSource": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create evaluations run selection
